## org.apache.html.dom
Class HTMLAnchorElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLAnchorElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLAnchorElement, org.w3c.dom.html.HTMLElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class HTMLAnchorElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAnchorElement

Version:
  $Revision: 1.5 $ $Date: 2002/01/10 06:27:33 $
Author:
  Assaf Arkin
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLAnchorElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` `blur()`
`void` `focus()`
`java.lang.String` `getAccessKey()`
`java.lang.String` `getCharset()`
`java.lang.String` `getCoords()`
`java.lang.String` `getHref()`
`java.lang.String` `getHreflang()`
`java.lang.String` `getName()`
`java.lang.String` `getRel()`
`java.lang.String` `getRev()`
`java.lang.String` `getShape()`
`int` `getTabIndex()`
`java.lang.String` `getTarget()`
`java.lang.String` `getType()`
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setCharset(java.lang.String charset)`
`void` `setCoords(java.lang.String coords)`
`void` `setHref(java.lang.String href)`
`void` `setHreflang(java.lang.String hreflang)`
`void` `setName(java.lang.String name)`
`void` `setRel(java.lang.String rel)`
`void` `setRev(java.lang.String rev)`
`void` `setShape(java.lang.String shape)`
`void` `setTabIndex(int tabIndex)`
`void` `setTarget(java.lang.String target)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLAnchorElementImpl

    public HTMLAnchorElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getCharset

    public java.lang.String getCharset()

  Specified by:
    `getCharset` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    `setCharset` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getCoords

    public java.lang.String getCoords()

  Specified by:
    `getCoords` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    `setCoords` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getHref

    public java.lang.String getHref()

  Specified by:
    `getHref` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    `setHref` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getHreflang

    public java.lang.String getHreflang()

  Specified by:
    `getHreflang` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    `setHreflang` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getRel

    public java.lang.String getRel()

  Specified by:
    `getRel` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    `setRel` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getRev

    public java.lang.String getRev()

  Specified by:
    `getRev` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    `setRev` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getShape

    public java.lang.String getShape()

  Specified by:
    `getShape` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    `setShape` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    `setTarget` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `org.w3c.dom.html.HTMLAnchorElement`

### blur

    public void blur()

  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLAnchorElement`

### focus

    public void focus()

  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLAnchorElement`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.